Create an income Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v2/income

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • account_uuid string(uuid) Required

    Client account UUID of who this income belongs to.

  • name string Required

    The name of the income.

    Maximum length is 255.

  • type string Required

    The type of income.

    Value Description
    salary Salary
    dividend Dividend
    bonus Bonus
    benefit Benefit
    other Other
    investment Investment
    rental Rental
    pension Pension
    capital_gains Capital Gains
    business_loan Business Loan
    investor_funding Investor Funding
    grant Grant
    charity Charity
    crowdfunding Crowdfunding
    gross_profit Gross Profit
    operating_profit Operating Profit
    operating_revenue Operating Revenue
    non_operating_revenue Non Operating Revenue
    net_profit Net Profit

    Values are salary, dividend, bonus, benefit, other, investment, rental, pension, capital_gains, business_loan, investor_funding, grant, charity, crowdfunding, gross_profit, operating_profit, operating_revenue, non_operating_revenue, or net_profit.

  • type_other string | null

    The type of income when the type is set to "other".

    Maximum length is 255.

  • amount integer Required

    The amount of the income in pennies. For example, £50,000 would be 5000000.

  • amount_type string Required

    The type of the amount.

    Value Description
    net Net
    gross Gross

    Values are net or gross.

  • start_date string(date) | null

    The start date of the income.

  • end_date string(date) | null

    The end date of the income.

  • frequency string Required

    The frequency of the income.

    Value Description
    daily Daily
    weekly Weekly
    fortnightly Fortnightly
    four_weekly Four Weekly
    monthly Monthly
    bimonthly Bimonthly
    quarterly Quarterly
    biannually Biannually
    annually Annually
    adhoc Adhoc
    one_off One Off

    Values are daily, weekly, fortnightly, four_weekly, monthly, bimonthly, quarterly, biannually, annually, adhoc, or one_off.

  • is_taxable boolean

    Denotes if the income is taxable or not.

  • employment_uuid string(uuid)

    Employment to link to this salary, dividend, bonus, benefit, other type incomes.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The name of the income.

    • type string

      The type of income.

    • type_other string

      The other type of income, if the type is "other".

    • amount object

      The amount of the income.

      Hide amount attributes Show amount attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • amount_type string

      The type of the amount.

    • start_date string

      The start date of the income.

    • end_date string

      The end date of the income.

    • frequency string

      The frequency of the income.

    • is_taxable boolean

      Denotes if the income is taxable or not.

    • employment object

      Employment of this income.

      Hide employment attributes Show employment attributes object
      • uuid string
      • created_at string
      • updated_at string
      • status string
      • primary boolean
      • occupation string
      • occupation_code string
      • job_title string
      • employer string
      • started_at string
      • ended_at string
      • is_business_owner boolean
      • percentage_of_business_shared integer
      • address string
      • phone_number string
      • email_address string
      • shared_owner_type string
      • shared_owner string
      • last_salary_increase string
      • business_name string
      • business_year_end string
      • business_value object
        Hide business_value attributes Show business_value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • directors string
      • shareholding_in_business object
        Hide shareholding_in_business attributes Show shareholding_in_business attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • profit object
        Hide profit attributes Show profit attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • accountant_company_name string
      • accountant_email string
      • accountant_telephone_number string
      • accountant_address string
      • turnover_history string
      • income string
      • account string
    • account object

      Account that owns this income.

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references string
POST /api/v2/income
curl \
 --request POST 'https://api.plannrcrm.com/api/v2/income' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"account_uuid":"75d239d6-a25e-410b-9002-f1679e588070","name":"My Salary","type":"salary","type_other":"My Other Income","amount":5000000,"amount_type":"net","start_date":"2025-06-08","end_date":"2026-06-08","frequency":"daily","is_taxable":true,"employment_uuid":"fb85690a-29f2-4e01-b9bf-e7aa7bd9632f"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "account_uuid": "75d239d6-a25e-410b-9002-f1679e588070",
  "name": "My Salary",
  "type": "salary",
  "type_other": "My Other Income",
  "amount": 5000000,
  "amount_type": "net",
  "start_date": "2025-06-08",
  "end_date": "2026-06-08",
  "frequency": "daily",
  "is_taxable": true,
  "employment_uuid": "fb85690a-29f2-4e01-b9bf-e7aa7bd9632f"
}
Response examples (201)
{
  "uuid": "8b065354-3adf-450a-8352-86107dfb9cac",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "name": "My Salary",
  "type": "salary",
  "type_other": "Other income type",
  "amount": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "amount_type": "net",
  "start_date": "2025-06-08",
  "end_date": "2026-06-08",
  "frequency": "annually",
  "is_taxable": true,
  "employment": {
    "uuid": "a776ee73-9f1b-49ea-b41f-0a35085c16d6",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "status": "employed",
    "primary": true,
    "occupation": "Financial Adviser",
    "occupation_code": "FAC02774",
    "job_title": "Senior financial adviser",
    "employer": "Plannr Technologies Ltd",
    "started_at": "2021-06-08T16:08:03+01:00",
    "ended_at": "2022-06-08T16:08:03+01:00",
    "is_business_owner": true,
    "percentage_of_business_shared": 50,
    "address": "App\\Http\\Resources\\AddressResource",
    "phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "email_address": "App\\Http\\Resources\\ContactDetailResource",
    "shared_owner_type": "individual",
    "shared_owner": "App\\Http\\Resources\\AccountResource",
    "last_salary_increase": "2019-01-01",
    "business_name": "My Business",
    "business_year_end": "2020-12-31",
    "business_value": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "directors": "Susan F. Lancaster",
    "shareholding_in_business": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "profit": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "accountant_company_name": "My Accountant",
    "accountant_email": "accountant@email.com",
    "accountant_telephone_number": "+441234567890",
    "accountant_address": "23 Chollerton, Hexham, Northumberland, NE46 4TF",
    "turnover_history": "App\\Http\\Resources\\TurnoverHistoryResource",
    "income": "App\\Http\\Resources\\IncomeResource",
    "account": "App\\Http\\Resources\\MinimalAccountResource"
  },
  "account": {
    "uuid": "646a8f9f-ced5-431b-8b3b-27280c20adff",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}